Subject: [dispatch] Draft charter

From: Marc Petit-Huguenin <[email-masked]>
Date: Thu, 23 Jul 2015 06:24:40 +0200

Here's the draft of the ICE charter.

Thanks.

- ------------------------------------------------------------------------------------------------

Charter for Working Group

Interactive Connectivity Establishment was published as RFC 5245 in April 2010. Until recently the protocol had seen rather limited deployment. ICE was slow to achieve widespread adoption, as other mechanisms were already
being used by the VoIP industry. This situation has changed drastically as ICE is mandatory to implement
in WebRTC, a set of technologies developed at the IETF and W3C to standardize Real Time Communication on the Web.

Interactive Connectivity Establishment (ICE) is at the same time a NAT traversal technique, a multihomed address selection technique, and a dual stack address selection technique that works by including a multiplicity of IP addresses and ports in both the request and response messages of a connectivity establishment transaction.  The IP addresses and ports provided by each side are paired and tested by peer-to-peer connectivity checks until one of these pair is selected to transport data.

ICE was originally defined for the Offer-Answer (RFC 3264) protocol used by SIP (RFC 3261) and later XMPP (XEP-0176), RTSP (draft-ietf-mmusic-rtsp-nat), RTCWeb (draft-ietf-rtcweb-jsep) and other realtime media establishment protocol.  But it is also used by non-realtime media protocols, like HIP (RFC 5770) and RELOAD (RFC 6940).

The goal of the ICE Working Group is to consolidate the various initiatives to update ICE to make it more suitable for the WebRTC environment but also to all the current usages of ICE.  The Working Group will closely coordinate with the appropriate Working Groups, including RTCWEB, MMUSIC, TRAM, MIF, HIP and P2PSIP.

- -- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org
Profile: http://www.linkedin.com/in/petithug

- -- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org
Profile: http://www.linkedin.com/in/petithug

---

From: Magnus Westerlund <[email-masked]>
Date: Thu, 23 Jul 2015 09:47:59 +0200

Hi,

First of all creating an ICE WG is in my opinion a good idea. However, I 
think this charter will need some work. The introduction appears fine, 
but the work the group should do is poorly specified. I think the 
charter need to be much more specific on what work the group should do. 
Please write clearer goals for the work that is to be done by the group.

Cheers

Magnus

Den 2015-07-23 kl. 06:24, skrev Marc Petit-Huguenin:
> Interactive Connectivity Establishment was published as RFC 5245 in
> April 2010. Until recently the protocol had seen rather limited
> deployment. ICE was slow to achieve widespread adoption, as other
> mechanisms were already being used by the VoIP industry. This
> situation has changed drastically as ICE is mandatory to implement in
> WebRTC, a set of technologies developed at the IETF and W3C to
> standardize Real Time Communication on the Web.
>
> Interactive Connectivity Establishment (ICE) is at the same time a
> NAT traversal technique, a multihomed address selection technique,
> and a dual stack address selection technique that works by including
> a multiplicity of IP addresses and ports in both the request and
> response messages of a connectivity establishment transaction.  The
> IP addresses and ports provided by each side are paired and tested by
> peer-to-peer connectivity checks until one of these pair is selected
> to transport data.
>
> ICE was originally defined for the Offer-Answer (RFC 3264) protocol
> used by SIP (RFC 3261) and later XMPP (XEP-0176), RTSP
> (draft-ietf-mmusic-rtsp-nat), RTCWeb (draft-ietf-rtcweb-jsep) and
> other realtime media establishment protocol.  But it is also used by
> non-realtime media protocols, like HIP (RFC 5770) and RELOAD (RFC
> 6940).
>
> The goal of the ICE Working Group is to consolidate the various
> initiatives to update ICE to make it more suitable for the WebRTC
> environment but also to all the current usages of ICE.  The Working
> Group will closely coordinate with the appropriate Working Groups,
> including RTCWEB, MMUSIC, TRAM, MIF, HIP and P2PSIP.
>

-- 

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Thu, 23 Jul 2015 11:45:45 +0200

On 07/23/2015 09:47 AM, Magnus Westerlund wrote:
> Hi,
> 
> First of all creating an ICE WG is in my opinion a good idea.
> However, I think this charter will need some work. The introduction
> appears fine, but the work the group should do is poorly specified. I
> think the charter need to be much more specific on what work the
> group should do. Please write clearer goals for the work that is to
> be done by the group.

That was never meant as a complete charter, but as a minimal charter to which people can propose new and/or modified text.  I am happy to serve as editor until someone better at it step in, but meanwhile sending text is probably the best way to iterate quickly towards an acceptable charter.

Thanks.

>> Interactive Connectivity Establishment was published as RFC 5245
>> in April 2010. Until recently the protocol had seen rather limited 
>> situation has changed drastically as ICE is mandatory to implement
>> in WebRTC, a set of technologies developed at the IETF and W3C to 
>> and a dual stack address selection technique that works by
>> including a multiplicity of IP addresses and ports in both the
>> request and response messages of a connectivity establishment
>> transaction.  The IP addresses and ports provided by each side are
>> paired and tested by peer-to-peer connectivity checks until one of
>> these pair is selected to transport data.
>> 
>> ICE was originally defined for the Offer-Answer (RFC 3264)
>> protocol used by SIP (RFC 3261) and later XMPP (XEP-0176), RTSP 
>> other realtime media establishment protocol.  But it is also used
>> by non-realtime media protocols, like HIP (RFC 5770) and RELOAD
>> (RFC 6940).
>> 
>> environment but also to all the current usages of ICE.  The
>> Working Group will closely coordinate with the appropriate Working
>> Groups, including RTCWEB, MMUSIC, TRAM, MIF, HIP and P2PSIP.
>> 
> 
> 

- -- 
Marc Petit-Huguenin